servers
Upload server icon
Upload or replace the server icon. Accepts a single image file via multipart/form-data. Max 1MB. Supported formats: PNG, JPEG, GIF, SVG, WebP.
PUT
/
servers
/
{qualifiedName}
/
icon
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const response = await client.servers.icon.upload('qualifiedName');
console.log(response.iconUrl);curl --request PUT \
--url https://api.smithery.ai/servers/{qualifiedName}/icon \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/servers/{qualifiedName}/icon"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)
{
"iconUrl": "https://icons.smithery.ai/server-id.png"
}{
"error": "File too large"
}{
"error": "File too large"
}{
"error": "File too large"
}Authorizations
Smithery API key as Bearer token
Path Parameters
The server's qualified name (e.g. 'namespace/server' or 'namespace' for namespace-only servers). Use %2F to encode the slash.
Response
Icon uploaded successfully
Example:
"https://icons.smithery.ai/server-id.png"
Was this page helpful?
⌘I
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const response = await client.servers.icon.upload('qualifiedName');
console.log(response.iconUrl);